Search results

Set the default format in Document Editor in JavaScript (ES5) DocumentEditor control

23 Mar 2023 / 2 minutes to read

You can set the default character format, paragraph format and section format in Document editor.

Set the default character format

You can use setDefaultCharacterFormat method to set the default character format. For example, Document editor default font size is 11 and you can change it as any valid value.

The following example code illustrates how to change the default font size in Document editor.

Copied to clipboard
import { DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';

let container: DocumentEditorContainer = new DocumentEditorContainer({ height: "590px" });
container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';
DocumentEditorContainer.Inject(Toolbar);
// Default font size set as 20
container.setDefaultCharacterFormat({ fontSize: 20 });
container.appendTo('#container');  

Similarly, you can change the required CharacterFormatProperties default value.

The following example code illustrates how to change other character format default value in Document editor.

Copied to clipboard
import { CharacterFormatProperties, DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';

let container: DocumentEditorContainer = new DocumentEditorContainer({ height: "590px" });
container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';
DocumentEditorContainer.Inject(Toolbar);
// Set default value
let defaultCharacterFormat: CharacterFormatProperties = {
    bold: false,
    italic: false,
    baselineAlignment: 'Normal',
    underline: 'None',
    fontColor: "#000000",
    fontFamily: 'Algerian',
    fontSize: 12
};
container.setDefaultCharacterFormat(defaultCharacterFormat);
container.appendTo('#container');

Set the default paragraph format

You can use setDefaultParagraphFormat API to set the default paragraph format. You can change the required ParagraphFormatProperties default value.

The following example code illustrates how to change the paragraph format(before spacing, line spacing etc.,) default value in Document editor.

Copied to clipboard
import { ParagraphFormatProperties, DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';

let container: DocumentEditorContainer = new DocumentEditorContainer({ height: "590px" });
container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';
DocumentEditorContainer.Inject(Toolbar);

let defaultParagraphFormat: ParagraphFormatProperties = {
    beforeSpacing: 8,
    lineSpacing: 1.5,
    leftIndent: 24,
    textAlignment: "Center"
};
container.setDefaultParagraphFormat(defaultParagraphFormat);
container.appendTo('#container');  

Set the default section format

You can use setDefaultSectionFormat API to set the default section format. You can change the required SectionFormatProperties default value.

The following example code illustrates how to change the section format(header and footer distance, page width and height, etc.,) default value in Document editor.

Copied to clipboard
import { SectionFormatProperties, DocumentEditorContainer, Toolbar } from '@syncfusion/ej2-documenteditor';

let container: DocumentEditorContainer = new DocumentEditorContainer({ height: "590px" });
container.serviceUrl = 'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/';
DocumentEditorContainer.Inject(Toolbar);

let defaultSectionFormat: SectionFormatProperties = {
    pageWidth: 500,
    pageHeight: 800,
    headerDistance: 56,
    footerDistance: 48,
    leftMargin: 12,
    rightMargin: 12,
    topMargin: 0,
    bottomMargin: 0

};
container.setDefaultSectionFormat(defaultSectionFormat);
container.appendTo('#container');

Set default format in document editor in React Document editor component

30 Jan 20238 minutes to read

You can set the default character format, paragraph format and section format in Document editor.

Set the default character format

You can use setDefaultCharacterFormat method to set the default character format. For example, Document editor default font size is 11 and you can change it as any valid value.

The following example code illustrates how to change the default font size in Document editor.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
    DocumentEditorContainerComponent,
    Toolbar,
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
    let container: DocumentEditorContainerComponent;
    function onCreate() {
        container.documentEditor.setDefaultCharacterFormat({ fontSize: 20 });
    }
    return (
        <DocumentEditorContainerComponent
            id="container"
            ref={(scope) => {
                container = scope;
            }}
            height={'590px'}
            serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
            enableToolbar={true}
            created={onCreate}
        />
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('root'));

Similarly, you can change the required CharacterFormatProperties default value.

The following example code illustrates how to change other character format default value in Document editor.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
  DocumentEditorContainerComponent,
  Toolbar,CharacterFormatProperties
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
  let container: DocumentEditorContainerComponent;
 function onCreate() {
    let defaultCharacterFormat:CharacterFormatProperties = {
      bold: false,
      italic: false,
      baselineAlignment: 'Normal',
      underline: 'None',
      fontColor: "#000000",
      fontFamily: 'Algerian',
      fontSize: 12
   };
    container.documentEditor.setDefaultCharacterFormat(defaultCharacterFormat);
  }
    return (
      <DocumentEditorContainerComponent
        id="container"
        ref={(scope) => {
         container = scope;
        }}
        height={'590px'}
        serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
        enableToolbar={true}
        created={onCreate}
      />
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('root'));

Set the default paragraph format

You can use setDefaultParagraphFormat API to set the default paragraph format. You can change the required ParagraphFormatProperties default value.

The following example code illustrates how to change the paragraph format(before spacing, line spacing etc.,) default value in Document editor.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
    DocumentEditorContainerComponent,
    Toolbar, ParagraphFormatProperties
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
    let container: DocumentEditorContainerComponent;
    function onCreate() {
        let defaultParagraphFormat: ParagraphFormatProperties = {
            beforeSpacing: 8,
            lineSpacing: 1.5,
            leftIndent: 24,
            textAlignment: "Center"
        };
        container.documentEditor.setDefaultParagraphFormat(defaultParagraphFormat);
    }
    return (
        <DocumentEditorContainerComponent
            id="container"
            ref={(scope) => {
                container = scope;
            }}
            height={'590px'}
            serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
            enableToolbar={true}
            created={onCreate}
        />
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('root'));

Set the default section format

You can use setDefaultSectionFormat API to set the default section format. You can change the required SectionFormatProperties default value.

The following example code illustrates how to change the section format(header and footer distance, page width and height, etc.,) default value in Document editor.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import {
    DocumentEditorContainerComponent,
    Toolbar, SectionFormatProperties
} from '@syncfusion/ej2-react-documenteditor';

DocumentEditorContainerComponent.Inject(Toolbar);
function App() {
    let container: DocumentEditorContainerComponent;
    function onCreate() {
        let defaultSectionFormat: SectionFormatProperties = {
            pageWidth: 500,
            pageHeight: 800,
            headerDistance: 56,
            footerDistance: 48,
            leftMargin: 12,
            rightMargin: 12,
            topMargin: 0,
            bottomMargin: 0
        };
        container.documentEditor.setDefaultSectionFormat(defaultSectionFormat);
    }
    return (
        <DocumentEditorContainerComponent
            id="container"
            ref={(scope) => {
                container = scope;
            }}
            height={'590px'}
            serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/"
            enableToolbar={true}
            created={onCreate}
        />
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('root'));

Set default format in document editor in Angular Document editor component

20 Dec 20226 minutes to read

You can set the default character format, paragraph format and section format in Document editor.

Set the default character format

You can use setDefaultCharacterFormat method to set the default character format. For example, Document editor default font size is 11 and you can change it as any valid value.

The following example code illustrates how to change the default font size in Document editor.

import { Component, OnInit,ViewChild } from '@angular/core';
import { ToolbarService ,DocumentEditorContainerComponent} from '@syncfusion/ej2-angular-documenteditor';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/" height="600px" style="display:block" [documentEditorSettings]= "fontFamilies" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public fontFamilies={fontFamilies :['Algerian', 'Arial', 'Calibri', 'Cambria', 'Windings']};
    ngOnInit(): void {
    }
    onCreate() {
        this.container.documentEditor.setDefaultCharacterFormat({fontSize: 20});
    }
}

Similarly, you can change the required CharacterFormatProperties default value.

The following example code illustrates how to change other character format default value in Document editor.

import { Component, OnInit,ViewChild } from '@angular/core';
import { ToolbarService ,DocumentEditorContainerComponent, CharacterFormatProperties} from '@syncfusion/ej2-angular-documenteditor';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/" height="600px" style="display:block" [documentEditorSettings]= "fontFamilies" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public fontFamilies={fontFamilies :['Algerian', 'Arial', 'Calibri', 'Cambria', 'Windings']};
    ngOnInit(): void {
    }
    onCreate() {
        let defaultCharacterFormat:CharacterFormatProperties = {
            bold: false,
            italic: false,
            baselineAlignment: 'Normal',
            underline: 'None',
            fontColor: "#000000",
            fontFamily: 'Algerian',
            fontSize: 12
         };
        this.container.documentEditor.setDefaultCharacterFormat(defaultCharacterFormat);
    }
}

Set the default paragraph format

You can use setDefaultParagraphFormat API to set the default paragraph format. You can change the required ParagraphFormatProperties default value.

The following example code illustrates how to change the paragraph format(before spacing, line spacing etc.,) default value in Document editor.

import { Component, OnInit,ViewChild } from '@angular/core';
import { ToolbarService ,DocumentEditorContainerComponent,ParagraphFormatProperties} from '@syncfusion/ej2-angular-documenteditor';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/" height="600px" style="display:block" [documentEditorSettings]= "fontFamilies" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public fontFamilies={fontFamilies :['Algerian', 'Arial', 'Calibri', 'Cambria', 'Windings']};
    ngOnInit(): void {
    }
    onCreate() {
        let defaultParagraphFormat:ParagraphFormatProperties = {
            beforeSpacing: 8,
            lineSpacing: 1.5,
            leftIndent: 24,
            textAlignment: "Center"
         };
         this.container.documentEditor.setDefaultParagraphFormat(defaultParagraphFormat);
    }
}

Set the default section format

You can use setDefaultSectionFormat API to set the default section format. You can change the required SectionFormatProperties default value.

The following example code illustrates how to change the section format(header and footer distance, page width and height, etc.,) default value in Document editor.

import { Component, OnInit,ViewChild } from '@angular/core';
import { ToolbarService ,DocumentEditorContainerComponent,SectionFormatProperties} from '@syncfusion/ej2-angular-documenteditor';
@Component({
      selector: 'app-root',
      // specifies the template string for the DocumentEditorContainer component
      template: `<ejs-documenteditorcontainer #documenteditor_default serviceUrl="https://ej2services.syncfusion.com/production/web-services/api/documenteditor/" height="600px" style="display:block" [documentEditorSettings]= "fontFamilies" [enableToolbar]=true (created)="onCreate()"> </ejs-documenteditorcontainer>`,
      providers: [ToolbarService]
})
export class AppComponent implements OnInit {
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public fontFamilies={fontFamilies :['Algerian', 'Arial', 'Calibri', 'Cambria', 'Windings']};
    ngOnInit(): void {
    }
    onCreate() {
        let defaultSectionFormat:SectionFormatProperties = {
            pageWidth: 500,
            pageHeight: 800,
            headerDistance: 56,
            footerDistance: 48,
            leftMargin: 12,
            rightMargin: 12,
            topMargin:0,
            bottomMargin:0
         };
         this.container.documentEditor.setDefaultSectionFormat(defaultSectionFormat);
    }
}

Search results

Set the default format in Document Editor in Vue DocumentEditor component

17 Mar 2023 / 3 minutes to read

You can set the default character format, paragraph format and section format in Document editor.

Set the default character format

You can use setDefaultCharacterFormat method to set the default character format. For example, Document editor default font size is 11 and you can change it as any valid value.

The following example code illustrates how to change the default font size in Document editor.

Copied to clipboard
<template>
    <div id="app">
      <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
    </div>
</template>
<script>
  import Vue from 'vue';
  import { DocumentEditorContainerPlugin, DocumentEditorContainerComponent,Toolbar} from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorContainerPlugin);

  export default {
      data() {
        return {
          serviceUrl:
            'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
        };
      },
      provide: {
        //Inject require modules.
        DocumentEditorContainer: [Toolbar],
      },
        methods: {
        onCreated: function () {
          this.$refs.container.ej2Instances.documentEditor.setDefaultCharacterFormat({fontSize: 20});
        },
      },
    };
</script>

Similarly, you can change the required CharacterFormatProperties default value.

The following example code illustrates how to change other character format default value in Document editor.

Copied to clipboard
<template>
    <div id="app">
      <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
    </div>
</template>
<script>
  import Vue from 'vue';
  import { DocumentEditorContainerPlugin, DocumentEditorContainerComponent,Toolbar} from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorContainerPlugin);

  export default {
      data() {
        return {
          serviceUrl:
            'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
        };
      },
      provide: {
        //Inject require modules.
        DocumentEditorContainer: [Toolbar],
      },
      methods: {
        onCreated: function () {
          var defaultCharacterFormat = {
            bold: false,
            italic: false,
            baselineAlignment: 'Normal',
            underline: 'None',
            fontColor: '#000000',
            fontFamily: 'Algerian',
            fontSize: 12,
          };
          this.$refs.container.ej2Instances.documentEditor.setDefaultCharacterFormat(
            defaultCharacterFormat
          );
        },
      },
    };
</script>

Set the default paragraph format

You can use setDefaultParagraphFormat API to set the default paragraph format. You can change the required ParagraphFormatProperties default value.

The following example code illustrates how to change the paragraph format(before spacing, line spacing etc.,) default value in Document editor.

Copied to clipboard
<template>
    <div id="app">
      <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
    </div>
</template>
<script>
  import Vue from 'vue';
  import { DocumentEditorContainerPlugin, DocumentEditorContainerComponent,Toolbar} from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorContainerPlugin);

  export default {
      data() {
        return {
          serviceUrl:
            'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
        };
      },
      provide: {
        //Inject require modules.
        DocumentEditorContainer: [Toolbar],
      },
      methods: {
        onCreated: function () {
        let defaultParagraphFormat = {
        beforeSpacing: 8,
        lineSpacing: 1.5,
        leftIndent: 24,
        textAlignment: "Center"
        };
        this.$refs.container.ej2Instances.documentEditor.setDefaultParagraphFormat(defaultParagraphFormat);
        },
      }
  };
</script>

Set the default section format

You can use setDefaultSectionFormat API to set the default section format. You can change the required SectionFormatProperties default value.

The following example code illustrates how to change the section format(header and footer distance, page width and height, etc.,) default value in Document editor.

Copied to clipboard
<template>
    <div id="app">
      <ejs-documenteditorcontainer ref='container' :serviceUrl='serviceUrl' v-on:created="onCreated" height="590px" id='container' :enableToolbar='true'></ejs-documenteditorcontainer>
    </div>
</template>
<script>
  import Vue from 'vue';
  import { DocumentEditorContainerPlugin, DocumentEditorContainerComponent,Toolbar} from '@syncfusion/ej2-vue-documenteditor';

  Vue.use(DocumentEditorContainerPlugin);

  export default {
      data() {
        return {
          serviceUrl:
            'https://ej2services.syncfusion.com/production/web-services/api/documenteditor/',
        };
      },
      provide: {
        //Inject require modules.
        DocumentEditorContainer: [Toolbar],
      },
      methods: {
        onCreated: function () {
        let defaultSectionFormat = {
        pageWidth: 500,
        pageHeight: 800,
        headerDistance: 56,
        footerDistance: 48,
        leftMargin: 12,
        rightMargin: 12,
        topMargin:0,
        bottomMargin:0
      };
      this.$refs.container.ej2Instances.documentEditor.setDefaultSectionFormat(defaultSectionFormat);
        },
      },
    };
</script>